Returns the WriteConcern's "wtimeout" option

- « MongoDB\Driver\WriteConcern::getW

- MongoDB\Driver\WriteConcern::isDefault »

- PHP Manual
- MongoDB\Driver\WriteConcern
- Returns the WriteConcern's "wtimeout" option

# MongoDB\Driver\WriteConcern::getWtimeout

(mongodb >=1.0.0)

MongoDB\Driver\WriteConcern::getWtimeout — Returns the WriteConcern's "wtimeout" option

### Description

final public MongoDB\Driver\WriteConcern::getWtimeout(): int

### Parameters

This function has no parameters.

### Return Values

Returns the WriteConcern's "wtimeout" option.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Changelog

Version | Description
--- | ---
PECL mongodb 1.7.0 | On 32-bit systems, this method will always truncate the `wTimeout` value if it exceeds the 32-bit range. In that case, a warning will be emitted.

### Examples

Example #1 MongoDB\Driver\WriteConcern::getWtimeout() example

    <?php

    $wc = new MongoDB\Driver\WriteConcern(1);
    var_dump($wc->getWtimeout());

    $wc = new MongoDB\Driver\WriteConcern(MongoDB\Driver\WriteConcern::MAJORITY, 3000);
    var_dump($wc->getWtimeout());

    ?>

The above example will output:

    int(0)
    int(3000)

### See Also

- » Write Concern reference